From 0d52717355a8ee1c530b8d20801faf6f0a333ed7 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 22 2020 01:35:24 +0000
Subject: [PATCH 1782/2232] Simplify CxxVector iterator next method


---

diff --git a/src/cxx_vector.rs b/src/cxx_vector.rs
index c8b9460..191b643 100644
--- a/src/cxx_vector.rs
+++ b/src/cxx_vector.rs
@@ -158,9 +158,9 @@ where
     type Item = &'a T;
 
     fn next(&mut self) -> Option<Self::Item> {
-        let next = self.v.get(self.index);
-        self.index += next.is_some() as usize;
-        next
+        let next = self.v.get(self.index)?;
+        self.index += 1;
+        Some(next)
     }
 
     fn size_hint(&self) -> (usize, Option<usize>) {

